Skip to main content
`Ctrl`+`K`

# DiGraph.number_of_edges

DiGraph.number_of_edges(u=None, v=None)

  Returns the number of edges between two nodes.

  Parameters:
    u, v nodes, optional (default=all edges)

      If u and v are specified, return the number of edges between u and v. Otherwise return the total number of all edges.

  Returns:
    nedges int

      The number of edges in the graph. If nodes `u` and `v` are specified return the number of edges between those nodes. If the graph is directed, this only returns the number of edges from `u` to `v`.

  See also

  `size`

  Examples

  For undirected graphs, this method counts the total number of edges in the graph:

      >>> G = nx.path_graph(4)
      >>> G.number_of_edges()
      3

  If you specify two nodes, this counts the total number of edges joining the two nodes:

      >>> G.number_of_edges(0, 1)
      1

  For directed graphs, this method can count the total number of directed edges from `u` to `v`:

      >>> G = nx.DiGraph()
      >>> G.add_edge(0, 1)
      >>> G.add_edge(1, 0)
      >>> G.number_of_edges(0, 1)
      1